lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven A Rowe <sar...@syr.edu>
Subject RE: solrj & http client 4
Date Wed, 22 Dec 2010 17:29:01 GMT
Stevo,

You may be interested in LUCENE-2657 <https://issues.apache.org/jira/browse/LUCENE-2657>,
which provides full POMs for Lucene/Solr trunk.

I don't use Eclipse, but I think it can use POMs to bootstrap project configuration.  (I know
IntelliJ can do this.)

Steve

> -----Original Message-----
> From: Stevo Slavić [mailto:sslavic@gmail.com]
> Sent: Wednesday, December 22, 2010 9:17 AM
> To: solr-user@lucene.apache.org
> Subject: Re: solrj & http client 4
> 
> Tried to checkout lucene/solr and setup projects and classpath in eclipse
> -
> there seems to be circular dependency between modules - this is not
> possible/allowed in maven built project, would require refactoring.
> 
> Regards,
> Stevo.
> 
> On Wed, Dec 8, 2010 at 1:42 PM, Stevo Slavić <sslavic@gmail.com> wrote:
> 
> > OK, thanks. Can't promise anything, but would love to contribute. First
> > impression on the source code - ant is used as build tool, wish it was
> > maven. If it was maven then
> > https://issues.apache.org/jira/browse/SOLR-1218 would be trivial or
> > wouldn't exist in the first place.
> >
> > Regards,
> > Stevo.
> >
> >
> > On Wed, Dec 8, 2010 at 10:25 AM, Chantal Ackermann <
> > chantal.ackermann@btelligent.de> wrote:
> >
> >> SOLR-2020 addresses upgrading to HttpComponents (form HttpClient). I
> >> have had no time to work more on it, yet, though. I also don't have
> that
> >> much experience with the new version, so any help is much appreciated.
> >>
> >> Cheers,
> >> Chantal
> >>
> >> On Tue, 2010-12-07 at 18:35 +0100, Yonik Seeley wrote:
> >> > On Tue, Dec 7, 2010 at 12:32 PM, Stevo Slavić <sslavic@gmail.com>
> >> wrote:
> >> > > Hello solr users and developers,
> >> > >
> >> > > Are there any plans to upgraded http client dependency in solrj
> from
> >> 3.x to
> >> > > 4.x?
> >> >
> >> > I'd certainly be for moving to 4.x (and I think everyone else would
> >> too).
> >> > The issue is that it's not a drop-in replacement, so someone needs to
> >> > do the work.
> >> >
> >> > -Yonik
> >> > http://www.lucidimagination.com
> >> >
> >> > > Found this <https://issues.apache.org/jira/browse/SOLR-861>
ticket
> -
> >> > > judging by comments in it upgrade might help fix the issue. I have
> a
> >> project
> >> > > in jar hell, getting different versions of http client as
> transitive
> >> > > dependency...
> >> > >
> >> > > Regards,
> >> > > Stevo.
> >>
> >>
> >>
> >>
> >
Mime
View raw message